| Earth Observation Mission CFI Software Lib Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.SmosObt Class Reference

Base class for SmosObt objects. More...

Inheritance diagram for EECFI.SmosObt:

List of all members.

## Public Member Functions
| SmosObt (long deltaSeconds, long obet0_c, long obet0_f, long utc0Week, long utc0Seconds, long utc0Fraction)
| Class constructor (empty constructor).
| SmosObt (long deltaSeconds, long obet0_c, long obet0_f, long utc0Week, long utc0Seconds, long utc0Fraction, long obet_c, long obet_f)
| Class constructor.
void | setObt (Time time) throws CfiError
| set On-Board Time from a time in processing format.
Time | getTime () throws CfiError
| Get UTC time from an OBT time.
## Public Attributes
long | deltaSeconds
| SMOS OBT parameters: number of seconds to be applied to UTC to give UTC Proteus (just in case UTC Proteus reference is actually GPS Time).
long | obet0_c
| SMOS OBT parameters: OBET Coarse Time (in seconds).
long | obet0_f
| SMOS OBT parameters: OBET Fine Time.
long | utc0Week
| SMOS OBT parameters: UTC (Proteus format) week number.
long | utc0Seconds
| SMOS OBT parameters: UTC (Proteus format) seconds of week.
long | utc0Fraction
| SMOS OBT parameters: UTC (Proteus format) fraction of seconds.
long | obet_c
| SMOS OBT values: OBET Coarse Time (in seconds).
long | obet_f
| SMOS OBT values: OBET Fine Time.

## Detailed Description

Base class for SmosObt objects.

## Constructor & Destructor Documentation

EECFI.SmosObt.SmosObt | ( | long | deltaSeconds,
|  | long | obet0_c,
|  | long | obet0_f,
|  | long | utc0Week,
|  | long | utc0Seconds,
|  | long | utc0Fraction |
| ) |  |  |

Class constructor (empty constructor).

EECFI.SmosObt.SmosObt | ( | long | deltaSeconds,
|  | long | obet0_c,
|  | long | obet0_f,
|  | long | utc0Week,
|  | long | utc0Seconds,
|  | long | utc0Fraction,
|  | long | obet_c,
|  | long | obet_f |
| ) |  |  |

Class constructor.

## Member Function Documentation

Time EECFI.SmosObt::getTime | ( |  | ) | throws CfiError `[virtual]`

Get UTC time from an OBT time.

Returns:
  UTC time from OBT time.

Implements EECFI.ObtTime.

void EECFI.SmosObt::setObt | ( | Time | time | ) | throws CfiError `[virtual]`

set On-Board Time from a time in processing format.

Parameters:

  | time | input Time.

Implements EECFI.ObtTime.

## Member Data Documentation

long EECFI.SmosObt.deltaSeconds

SMOS OBT parameters: number of seconds to be applied to UTC to give UTC Proteus (just in case UTC Proteus reference is actually GPS Time).

long EECFI.SmosObt.obet0_c

SMOS OBT parameters: OBET Coarse Time (in seconds).

long EECFI.SmosObt.obet0_f

SMOS OBT parameters: OBET Fine Time.

long EECFI.SmosObt.obet_c

SMOS OBT values: OBET Coarse Time (in seconds).

long EECFI.SmosObt.obet_f

SMOS OBT values: OBET Fine Time.

long EECFI.SmosObt.utc0Fraction

SMOS OBT parameters: UTC (Proteus format) fraction of seconds.

long EECFI.SmosObt.utc0Seconds

SMOS OBT parameters: UTC (Proteus format) seconds of week.

long EECFI.SmosObt.utc0Week

SMOS OBT parameters: UTC (Proteus format) week number.